Subject: [Asrg] Impracticalities

From: [email-masked]
Date: Sun, 8 May 2005 18:39:57 +0000 (GMT)

>>>> This document effectively says that all users are to send their email by
> relaying it through their ISP SUBMIT service (not only home but also while
> traveling) rather then make attempts to do it directly.

>> Or they can use port 587 to submit to external services. That's what I
> remember reading

> Correct. External services that made prior arrangement with user for using
such a service, i.e. its an xSP (ISP/ASP/MSP..) service.

> That is effectively the same thing as ISP email service, we just separate 
meaning of email service being provided by ISP into email receiving service
and email sending service and specify that both may involve separate 
independent arrangements and separate providers. I suspect that in 99%
of cases its still going to be the same provider, but its good to provide 
for possibility of alternative just in case.

That's completely, hopelessly impractical if a user is traveling and has no 
control over the originating path of their outgoing E-mail.

Examples of such users are those using airport waiting lounge Internet access 
kiosks, Internet cafes (say, in Cozumel), cruise ship Internet cafes, public 
library Internet access carrels, Internet access rooms (say, over the post 
offices in Beijing, China).  In these cases, the user can submit E-mails with a 
From: address, To: address, subject, body, and (with luck) Bcc: headers, but has 
**no** control over what SMTP server (or IP port) is used to send the mail.  
Clearly, still, they need to be able to use "their" E-mail From: address, which 
will not infrequently be "their own" ["vanity"?] domain name.

There are no shortage of braindead/lame ideas, obviously, where some users 
presume that everyone's Internet usage pattern is like their own, but to be 
workable we have to allow for EVERYONE's [legitimate!] usage.

Gordon Peterson                  http://personal.terabites.com/
1977-2002  Twenty-fifth anniversary year of Local Area Networking!
Support free and fair US elections!  http://stickers.defend-democracy.org
12/19/98: Partisan Republicans scornfully ignore the voters they "represent".
12/09/00: the date the Republican Party took down democracy in America.

_______________________________________________
Asrg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/asrg

---

From: der Mouse <[email-masked]>
Date: Sun, 8 May 2005 14:53:47 -0400 (EDT)

>> [...]
> That's completely, hopelessly impractical if a user is traveling and
> has no control over the originating path of their outgoing E-mail.

> Examples of such users are [long list].

> There are no shortage of braindead/lame ideas, obviously, where some
> users presume that everyone's Internet usage pattern is like their
> own, but to be workable we have to allow for EVERYONE's [legitimate!]
> usage.

While I don't disagree with your conclusion in this case, I disagree
with it, as you worded it, in general.

It's entirely possible that we (tinw!) will have to shut down some uses
that are today considered leigitmate, and which are not malum in se,
but which are just too abusable.

We've seen this happen already (open relays are the first example that
come to mind).  I see no reason to think it won't have to happen again.

/~\ The ASCII				der Mouse
\ / Ribbon Campaign
 X  Against HTML	       [email-masked]
/ \ Email!	     7D C8 61 52 5D E7 2D 39  4E F1 31 3E E8 B3 27 4B

---

From: John Levine <[email-masked]>
Date: 8 May 2005 20:37:30 -0000

>Examples of such users are those using airport waiting lounge
>Internet access kiosks, Internet cafes ...

It probably would be a good idea to clarify the distinction between
what's in the From: line and the identity of the sender.

If I connect to my MSA from a known IP address inside my network, or I
use SMTP AUTH to provide a username and a password, the MSA knows who
I am based on the IP address or the user/pass pair.  This works fine
for people who travel with a computer so the computer is set up with
the appropriate addresses and passwords configured it.  On the other
hand, if I walk up to a kiosk and send mail through a funky client on
the kiosk, nobody has the faintest idea who I am.

In either case, I can set any From: address I want, and nothing in
this draft changes that.  The difference is who vouches for it.  In
the former case, the reputation with the mail is that of the MSA,
regardless of where I am or who I say I am.  In the latter case, it's
the reputation of the kiosk which, depending on how good their rate
limits and outgoing spam filters are, may be good or may be bad.

I could imagine trying to invent yet another scheme to send
authenticated mail from random clients, but I don't see any point.
It's no big deal to slap a web mail front end onto a mail system for
the benefit of roaming users without their own computers, and I don't
see how we could do any better than that.

R's,
John

---

From: "Peter J. Holzer" <[email-masked]>
Date: Thu, 12 May 2005 22:20:00 +0200

> control over the originating path of their outgoing E-mail.

Nonsense. draft-hutzler-spamops-04 doesn't touch that possibility at all. 

	hp

-- 
   _  | Peter J. Holzer    | Weil wir die materielle Welt nicht so
|_|_) | Sysadmin WSR       | wahrnehmen, wie sie ist, sind Sachen wie
| |   | [email-masked]         | JPEG, MP3 usw. möglich.
__/   | http://www.hjp.at/ |   -- Heiko Schlenker in drsm.
_______________________________________________
Asrg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/asrg